
Hedera.Address = new Class({
	Extends: Hedera.Form,

	activate: function() {
		this.$('model').setInfo('a', 'myAddress', 'hedera', ['id'], 'id');
		this.$('model').setDefault('clientFk', 'a',
			new Sql.Function({schema: 'account', name: 'myUser_getId'}));
	},
	
	onStatusChange: function(form) {
		if (form.ready && this.$('address').value == 0)
			form.insertRow();
	},
	
	onOperationsDone: function() {
		Htk.Toast.showMessage(_('AddressChangedSuccessfully'));
		this.onReturnClick();
	},

	onAcceptClick: function() {
		this.$('iter').performOperations();
	},

	onReturnClick: function() {
		window.history.back();
	}
});
