
module.exports = {
	check: function(conn, callback) {
		conn.execQuery('CALL myBasket_check',
			this._onBasketCheck.bind(this, callback));
	},
	
	_onBasketCheck: function(callback, resultSet) {
		var status = resultSet.fetchValue();
		
		if (!status)
			return;

		var isOk = status == 'UPDATED' || status == 'OK';

		if (status == 'UPDATED')
			Htk.Toast.showWarning(_('Order items updated'));
		if (callback)
			callback(isOk);
		if (!isOk)
			Vn.Hash.set({form: 'ecomerce/checkout'});
	}
};

