/**
 * Base class for all objects on this library.
 **/
module.exports = new Class
({
	Extends: Vn.Object
	
	/**
	 * Renders the object as an SQL string.
	 *
	 * @param {Sql.Batch} batch The batch used to render the object
	 * @return {String} The SQL string
	 **/
	,render: function (batch) {}

	/**
	 * Gets if the object is ready to be rendered.
	 *
	 * @return {boolean} %true if the object is ready, %false otherwise
	 **/
	,isReady: function ()
	{
		return true;
	}

	/**
	 * Through the query looking for containers and adds it to the batch.
	 *
	 * @return {Sql.Batch} batch The batch
	 **/
	,findHolders: function (batch) {}
});
